Admiral
Clusters

Report workload status

POST
/api/v1/clusters/{cluster_id}/workloads/status

This endpoint is agent-facing and restricted to service access tokens.

Scope: cluster:status | Token types: sat

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer adm_pat_...

In: header

Path Parameters

cluster_id*cluster_id

The cluster these workloads belong to (UUID).

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://admiral.example.com/api/v1/clusters/497f6eca-6276-4993-bfeb-53cbbbba6f08/workloads/status" \  -H "Content-Type: application/json" \  -d '{}'
{  "ack": true}